Subject: Re: bug#10748: colours in client on xterm (if an X frame is open at same time)

From: Chong Yidong <[email-masked]>
Date: Sun, 04 Mar 2012 23:06:23 +0800

> I generally have running an emacs that I've started via "emacs -nw"; I
> connect to it with "emacsclient --tty" (and then disconnect) a few
> times a day.  That works fine, with no strange colors.  But
> occasionally I connect to it via "emacsclient -c", which itself works
> fine -- but thenceforth, console frames that I create with
> "emacsclient --tty" have a light-colored background -- and killing the
> X frame doesn't fix that problem.  Only restarting emacs fixes it.

I've committed a fix for this bug to the trunk.  Thanks.